LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_arith.ALL;
USE ieee.std_logic_unsigned.ALL;

ENTITY ImEditE IS
	port(	PixR: in std_logic_vector(11 downto 0);	
			Mode: in std_logic_vector(3 downto 0);
			WeA: out std_logic_vector(0 downto 0);
			PixE: out std_logic_vector(11 downto 0)
			);
END ImEditE;

ARCHITECTURE ImEditA OF ImEditE IS

BEGIN
	process (Mode, PixR) is
	begin
		Case Mode is 
			When "0000" =>
				PixE<=PixR;
				WeA<="0";
			When "0010" =>
				PixE<=PixR and "111100000000";
				WeA<="1";
			When "0011" =>
				PixE<=PixR and "000011110000";
				WeA<="1";
			When "0100" =>
				PixE<=PixR and "000000001111";
				WeA<="1";
			When Others =>
				PixE<=PixR;
				WeA<="1";
		End Case;
	end process;

END ImEditA;

-- pragma synthesis_off 

